Fehler nach Update auf 4.2.3

Alle Fragen zu den Kauf-Modulen von wpShopGermany4.

Moderatoren: ThoGoe, maennchen1.de

Antworten
stgoldmann
Beiträge: 36
Registriert: 25.06.2013, 11:42
Lizenz: wpShopGermany Pro

Fehler nach Update auf 4.2.3

Beitrag von stgoldmann » 19.05.2020, 17:47

Hallo,

nach Update auf 4.2.3 kann ich die Module Lieferschein und Rechnung nicht updaten auf die selbe Version. Beide sind nun nicht mehr verfügbar für mich. Nach Eingabe der FTP-Infos erscheint ein Fehlermeldung.

1) WPSG 4.2.3
2) Wordpress 5.4 (Aktuelle Version: 5.4.1)
3) PHP-Version 7.4.4 (Unterstützt 64bit-Werte)
4) Chrome Version 81.0.4044.138 (Offizieller Build) (64-Bit)
5) WPSG 4.2.2
6) https://www.myhighlands.de
7) Die Fehlermeldung:

Allgemeiner Fehler: Class 'ZipArchive' not found
#0 wpsg\Exceptionhandler::exception(Error Object ([*message] => Class 'ZipArchive' not found,[Errorstring] => Error: Class 'ZipArchive' not found in /home/sgold/myhighlands_de/html-data/wp-content/plugins/wpshopgermany-free/controller/wpsg_AdminController.class.php:2689
Stack trace:
#0 /home/sgold/myhighlands_de/html-data/wp-content/plugins/wpshopgermany-free/controller/wpsg_AdminController.class.php(679): wpsg_AdminController->installModul()
#1 /home/sgold/myhighlands_de/html-data/wp-content/plugins/wpshopgermany-free/controller/wpsg_AdminController.class.php(56): wpsg_AdminController->registrierungAction()
#2 /home/sgold/myhighlands_de/html-data/wp-content/plugins/wpshopgermany-free/lib/filter_functions.inc.php(14): wpsg_AdminController->dispatch()
#3 /home/sgold/myhighlands_de/html-data/wp-includes/class-wp-hook.php(287): wpsg_dispatch()
#4 /home/sgold/myhighlands_de/html-data/wp-includes/class-wp-hook.php(311): WP_Hook->apply_filters()
#5 /home/sgold/myhighlands_de/html-data/wp-includes/plugin.php(478): WP_Hook->do_action()
#6 /home/sgold/myhighlands_de/html-data/wp-admin/admin.php(254): do_action()
#7 {main},[*code] => 0,[*file] => /home/sgold/myhighlands_de/html-data/wp-content/plugins/wpshopgermany-free/controller/wpsg_AdminController.class.php,[*line] => 2689,[Errortrace] => Array ([0] => Array ([file] => /home/sgold/myhighlands_de/html-data/wp-content/plugins/wpshopgermany-free/controller/wpsg_AdminController.class.php,[line] => 679,[function] => installModul,[class] => wpsg_AdminController,[type] => ->),[1] => Array ([file] => /home/sgold/myhighlands_de/html-data/wp-content/plugins/wpshopgermany-free/controller/wpsg_AdminController.class.php,[line] => 56,[function] => registrierungAction,[class] => wpsg_AdminController,[type] => ->),[2] => Array ([file] => /home/sgold/myhighlands_de/html-data/wp-content/plugins/wpshopgermany-free/lib/filter_functions.inc.php,[line] => 14,[function] => dispatch,[class] => wpsg_AdminController,[type] => ->),[3] => Array ([file] => /home/sgold/myhighlands_de/html-data/wp-includes/class-wp-hook.php,[line] => 287,[function] => wpsg_dispatch),[4] => Array ([file] => /home/sgold/myhighlands_de/html-data/wp-includes/class-wp-hook.php,[line] => 311,[function] => apply_filters,[class] => WP_Hook,[type] => ->),[5] => Array ([file] => /home/sgold/myhighlands_de/html-data/wp-includes/plugin.php,[line] => 478,[function] => do_action,[class] => WP_Hook,[type] => ->),[6] => Array ([file] => /home/sgold/myhighlands_de/html-data/wp-admin/admin.php,[line] => 254,[function] => do_action)),[Errorprevious] => ))

Habt Ihr einen Lösungsansatz?

Viele Grüße

Stephan

Karl Herre
Beiträge: 191
Registriert: 30.09.2019, 13:09
Lizenz: wpShopGermany Enterprise

Re: Fehler nach Update auf 4.2.3

Beitrag von Karl Herre » 20.05.2020, 09:59

Hi,

ich habe es mal versucht nachzustellen, leider ohne Erfolg.
Hast du schonmal versucht die aktuelle Version per FTP / Pluginverwaltung hoch zu laden? Zuvor nicht vergessen das Plugin zu deaktivieren und es zu löschen (in der Plugin Verwaltung oder auf dem Server direkt). Aktuelle Einstellungen werden natürlich beibehalten!

aktuelle Version: http://dl.maennchen1.de/wpsg4/wpsg/wpsh ... _4.2.3.zip

Gruß Karl
Der PC rechnet mit allem, nur nicht mit seinem Benutzer.

Benutzeravatar
maennchen1.de
Administrator
Beiträge: 17275
Registriert: 14.08.2003, 16:55
Lizenz: wpShopGermany Enterprise
Wohnort: Thüringen, Ellersleben
Kontaktdaten:

Re: Fehler nach Update auf 4.2.3

Beitrag von maennchen1.de » 20.05.2020, 14:21

Das Problem liegt offensichtlich an PHP7.4, welches die ZIP-Bibliothek nicht mehr enthält. :(
Hast du die Möglichkeit PHP7.3 zu nutzen?

Wir fixen das mit dem nächsten Update!
Kein Support per PN! Alle Fragen beantworten wir hier im Forum. Per PN bitte nur Passwörter, Namen und URLs - sofern notwendig.
Bitte vor dem posten lesen:
Wie poste ich eine Frage zu einem Problem?
FAQ / häufig gestellte Fragen
Anzeige-Fehler / Funktionsfehler in wpShopGermany erkennen und selbst beheben
PHTML-Dateien richtig verwenden (für eigene Anpassungen)

stgoldmann
Beiträge: 36
Registriert: 25.06.2013, 11:42
Lizenz: wpShopGermany Pro

Re: Fehler nach Update auf 4.2.3

Beitrag von stgoldmann » 20.05.2020, 18:54

Alles klar. Mein Super-Provider hat ein Backup der Version 4.2.2 eingespielt und wir warten dann auf 4.2.4 ;)

stgoldmann
Beiträge: 36
Registriert: 25.06.2013, 11:42
Lizenz: wpShopGermany Pro

Re: Fehler nach Update auf 4.2.3

Beitrag von stgoldmann » 22.05.2020, 08:52

PS: Wir haben ein zusätzliches ZIP-Paket zu 7.4 installiert und ich laufe jetzt auf 4.2.3.

Ich spreche mittlerweile jeden Abend ein Gebet für meinen Provider.

Antworten